using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;

namespace GxPress.Service.Implement
{
    public partial class FlowService
    {
        public async Task<int> GetTodoCountAsync(int userId)
        {
            return await _flowTodoRepository.GetCountByUserIdAsync(userId);
        }

        public async Task<IEnumerable<FlowTodo>> GetTodoListAsync(int userId, int page, int perPage, int processId)
        {
            return await _flowTodoRepository.GetListByUserIdAsync(userId, processId, page, perPage);
        }
    }
}